Bug 875101 - ISO installer uses 2.7 API, which does not run on RHEL 6
ISO installer uses 2.7 API, which does not run on RHEL 6
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Katello Bug Bin
Og Maciel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 09:19 EST by Bryan Kearney
Modified: 2013-02-21 14:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixed installation from ISO on RHEL 6
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:19:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2012-11-09 09:19:17 EST
The subprocess modules used were introduced in python 2.7
Comment 2 Og Maciel 2012-11-20 14:20:04 EST
# python --version
Python 2.6.6
# rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-beta
# ./install_packages 
This script will install the katello packages on the current machine.
   - Ensuring we are in an expected directory.
   - Creating a Repository File
   - Checking to see if Katello is already installed.
   - katello-headpin-all is not yet installed, installing it.
   - Removing the repository file.

Install is complete. Please run katello-configure.
Comment 3 Og Maciel 2012-11-20 14:20:33 EST
Verified:

* candlepin-0.7.19-1.el6_3.noarch
* candlepin-tomcat6-0.7.19-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.4-2h.el6_3.noarch
* katello-cli-common-1.2.4-2h.el6_3.noarch
* katello-common-1.2.6-2h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.6-2h.el6_3.noarch
* katello-headpin-1.2.6-2h.el6_3.noarch
* katello-headpin-all-1.2.6-2h.el6_3.noarch
* katello-selinux-1.2.1-1h.el6_3.noarch
* thumbslug-0.0.27-1.el6_3.noarch
* thumbslug-selinux-0.0.27-1.el6_3.noarch
Comment 5 errata-xmlrpc 2013-02-21 14:19:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.